summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJonas Stein <jstein@gentoo.org>2020-01-08 10:28:45 +0100
committerJonas Stein <jstein@gentoo.org>2020-01-08 10:31:02 +0100
commit185174232edd12a37bc8325994d662cc49614506 (patch)
treef548e464f161373f5d5114122632e380d6287d6e
parentnet-analyzer/ipband: EAPI=7 (diff)
downloadgentoo-185174232edd12a37bc8325994d662cc49614506.tar.gz
gentoo-185174232edd12a37bc8325994d662cc49614506.tar.bz2
gentoo-185174232edd12a37bc8325994d662cc49614506.zip
app-office/texstudio: Version bump to 2.12.18
Version bump to 2.12.18 Package-Manager: Portage-2.3.84, Repoman-2.3.20 Signed-off-by: Jonas Stein <jstein@gentoo.org>
-rw-r--r--app-office/texstudio/Manifest1
-rw-r--r--app-office/texstudio/texstudio-2.12.18.ebuild86
2 files changed, 87 insertions, 0 deletions
diff --git a/app-office/texstudio/Manifest b/app-office/texstudio/Manifest
index 9d2b599b6bf..ddbc977ffaf 100644
--- a/app-office/texstudio/Manifest
+++ b/app-office/texstudio/Manifest
@@ -3,6 +3,7 @@ DIST texstudio-2.12.10.tar.gz 26770850 BLAKE2B 7dba024c34f6cf53ff8cfa21eedb53bbf
DIST texstudio-2.12.14.tar.gz 34206353 BLAKE2B 667d316fce36ca17b6d9f05deaf28794e5b85265da7e48673870848d029de19c7635656ebce2841a77ad9c057e7a3e301b66635ffab3e360cce085a7c065241c SHA512 fe2fe641a455425f87e28f3058f63df103823a97990365e3a3d67d14c4959a6e59db9205ce100f4ebbdb7c8a5c914b0514333b9b9537dd48053bf166e4326984
DIST texstudio-2.12.16.tar.gz 34528802 BLAKE2B acf13d8bcd9a2017f19ab4484f6eab3f41868bcbbe364d869466d971b10f602652145be4082f1cef6a6d3be91c51d7bfa35e992b00cca0748f2178ddf36a263c SHA512 0c17fda78e0cd491d2869ccb1a164ae2348281a39f9883d813ceb2ed6a0287c4cf9e784cafb9c0a12b8839d7afc8897f8f74acffd87a5dfcb50d3b344f33ad28
DIST texstudio-2.12.16_beta2.tar.gz 34523715 BLAKE2B 00d5aab3b047c9a60e6dd31f4480de8db82b38b6f7c24f6025796976206eb753bc7f5bb9a3c8a196e04bf4b3986c9aecb856a387cab2ee5349ad4cefb1ebf254 SHA512 cf2ba197246b3f475431dc671bf6949bbdb861eaa6eecd459a0f6d029a48431e8cdb35d7b277ef20520ac36e3dd5153dcee4a7d7d879a0caa686842917255403
+DIST texstudio-2.12.18.tar.gz 35968949 BLAKE2B 2d0f9c4e71fe8a3df45b5d2ca9d5a02bddf756793a6c16a1fd610991b7fa4cf78c6230cdcbd309de6e6d6f036f4aab5db58e74c1aaaa0b690a2d213dc27f849e SHA512 826e1e565292e5395a1465215a95ad9c7ad73d88af213de42153fbb410d8a4e4673a83499abd25ad78f901a4e241d4f0ea0cf5a504364ebed86c5a021acd0a4d
DIST texstudio-2.12.2.tar.gz 26311798 BLAKE2B 1eb3add771a28918f39c69bb167eee31456ab87afcff0f4ae66ccd73d96fdfba5cbfbc57666908f7e7ffb5c69fd2d5aebf342338b9e3a56d3c31fb774f9cd1a7 SHA512 255b211fe715ffc91706ab20877ffaa4b8e0710d3e6f381e7a6b8eed19bb889d89d0913756839c1f0c427029c0da9713b78bd1e21769ccc46cf976b65c91c6f6
DIST texstudio-2.12.4.tar.gz 26401510 BLAKE2B 53f1aca4f28154c5ae0f941e074e2da6d727dedf6b5604b301efccd95eea256a6cb91bf887985d81c65964c0e407cd1a8c2037a3bd73559aa115bec3954df744 SHA512 6e1d114ae87c854231399004504e460d078b9bf26ceb25c7fc592b79d3234f9880f8c021c3ddb2ef26a883dbddc2b94f98f368c976aa16973d3c1a6823a4150d
DIST texstudio-2.12.6.tar.gz 26511069 BLAKE2B 95f2043222e15f96ed56dabb9bbbb937e3f8f1869cb667897bbdb48b99626089bf14a5e321c57ca5c9196d1cf2ce0beaad322b04d90f8a0b62189ff7c5be0d33 SHA512 16e846137b529f89f10dba3f847afe5a875ce1bc4029d002f76a1bcde491dd44756b27e38b4c5c159fcdb12b025759c8a0ebbbb8d8bd296e954b53032434170a
diff --git a/app-office/texstudio/texstudio-2.12.18.ebuild b/app-office/texstudio/texstudio-2.12.18.ebuild
new file mode 100644
index 00000000000..ebf5b650095
--- /dev/null
+++ b/app-office/texstudio/texstudio-2.12.18.ebuild
@@ -0,0 +1,86 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit prefix qmake-utils xdg-utils desktop
+
+MY_PV="${PV/_/}"
+
+DESCRIPTION="Free cross-platform LaTeX editor (fork from texmakerX)"
+HOMEPAGE="https://www.texstudio.org https://github.com/texstudio-org/texstudio"
+SRC_URI="https://github.com/texstudio-org/texstudio/archive/${MY_PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~x86"
+IUSE="video"
+
+COMMON_DEPEND="
+ app-text/hunspell:=
+ app-text/poppler[qt5]
+ >=dev-libs/quazip-0.7.2[qt5(+)]
+ dev-qt/designer:5
+ dev-qt/qtcore:5
+ dev-qt/qtconcurrent:5
+ dev-qt/qtgui:5
+ dev-qt/qtnetwork:5
+ dev-qt/qtprintsupport:5
+ dev-qt/qtscript:5
+ dev-qt/qtsingleapplication[qt5(+),X]
+ dev-qt/qtsvg:5
+ dev-qt/qttest:5
+ dev-qt/qtwidgets:5
+ dev-qt/qtxml:5
+ sys-libs/zlib
+ x11-libs/libX11
+ x11-libs/libXext
+ video? ( media-libs/phonon[qt5(+)] )"
+RDEPEND="${COMMON_DEPEND}
+ app-text/ghostscript-gpl
+ app-text/psutils
+ media-libs/netpbm
+ virtual/latex-base"
+DEPEND="${COMMON_DEPEND}"
+
+BDEPEND="virtual/pkgconfig"
+
+S=${WORKDIR}/${PN}-${MY_PV}
+
+src_prepare() {
+ default
+ # TODO: find hunspell quazip utilities/poppler-data qtsingleapplication -delete || die
+
+ if use video; then
+ sed "/^PHONON/s:$:true:g" -i ${PN}.pro || die
+ fi
+
+ sed \
+ -e '/qtsingleapplication.pri/d' \
+ -i ${PN}.pro || die
+
+ cp "${FILESDIR}"/texmakerx_my.pri ${PN}.pri || die
+ eprefixify ${PN}.pri
+}
+
+src_configure() {
+ eqmake5 USE_SYSTEM_HUNSPELL=1 USE_SYSTEM_QUAZIP=1
+}
+
+src_install() {
+ local i
+ for i in 16x16 22x22 32x32 48x48 64x64 128x128; do
+ newicon -s ${i} utilities/${PN}${i}.png ${PN}.png
+ done
+ emake DESTDIR="${D}" INSTALL_ROOT="${ED}" install
+}
+
+pkg_postinst() {
+ xdg_icon_cache_update
+ xdg_desktop_database_update
+}
+
+pkg_postrm() {
+ xdg_icon_cache_update
+ xdg_desktop_database_update
+}